ONVIF::PTZ::Types::PTZPresetTourPresetDetail(3)

NAME
ONVIF::PTZ::Types::PTZPresetTourPresetDetail

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZPresetTourPresetDetail from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   PresetToken

•   Home

•   PTZPosition

•   TypeExtension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::PTZPresetTourPresetDetail
   # One of the following elements.
   # No occurrence checks yet, so be sure to pass just one...
   PresetToken => $some_value, # ReferenceToken
   Home =>  $some_value, # boolean
   PTZPosition =>  { # ONVIF::PTZ::Types::PTZVector
     PanTilt => ,
     Zoom => ,
   },
   TypeExtension =>  { # ONVIF::PTZ::Types::PTZPresetTourTypeExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL